cURL
curl --request POST \ --url https://sandbox.hurdlr.com/rest/v5/timeTracking/task \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: */*' \ --data ' { "task": { "name": "<string>", "id": 123, "status": "ACTIVE", "billableRate": 100 } } '
{ "result": "SUCCESS", "errors": { "fieldErrors": {}, "globalErrors": [ { "type": "DUPLICATE", "errorMessage": "<string>" } ] }, "id": "<string>", "webhook": { "userId": "<string>", "accountantUserId": "<string>", "type": "ENTITY_UPDATE" } }
Save a new (or updates an existing) task record
The access token received from the authorization server in the OAuth 2.0 flow.
task object
Show child attributes
Successful operation
Object containing details about result of the action performed
The result of the action performed
SUCCESS
FAILURE
Error object containing details errors incurred, if any
Id of the entity being acted upon